$ErrorActionPreference = 'Stop'

$packageArgs = @{
  packageName            = 'vmware-workstation-player'
  fileType               = 'exe'
  url                    = 'https://download3.vmware.com/software/player/file/VMware-player-16.0.0-16894299.exe'
  checksum               = '818588B3F96CF28819A8F8FFCBDC0699CF05A5DBAE4C724E1C21A66911483A76'
  checksumType           = 'sha256'
  silentArgs             = '/s /v/qn EULAS_AGREED=1 AUTOSOFTWAREUPDATE=0 DATACOLLECTION=0 ADDLOCAL=ALL REBOOT=ReallySuppress'
  validExitCodes         = @(0, 3010, 1614, 1641)
}
Install-ChocolateyPackage @packageArgs
